function SelLogController()
{
  this.saveCommand   = 'commands/saveSelLog.php';
  this.viewController = new ViewController('selLogFrame');
  this.viewURL = 'views/selLog.php';
  this.clearRequest = new ServerRequest('commands/clearSelLog.php');
  this.clearAllRequest = new ServerRequest('commands/clearAllLogs.php');  

  this.clearButton = getElement('clearSelLog');
  this.clearAdminButton = getElement('clearAdminSelLog');
  this.saveButton = getElement('saveSelLog');
  this.sortField = '';
  this.shadowBox = this.viewController.shadowBox;
  this.init();
}

SelLogController.prototype.init = function init()
{
  this.clearButton.controller = this;
  this.clearButton.action = function ()
  {
    Frontend.clearLogDialog.promptToClearLog(translate('MSG_CLEAR'),translate('MSG_CLEAR_SEL_LOGS'),this.controller);
  }
  this.clearButton.disable();

  this.clearAdminButton.controller = this;
  this.clearAdminButton.action = function ()
  {
    Frontend.clearLogDialog.promptToClearLog(translate('MSG_CLEAR'),translate('MSG_CLEAR_SEL_LOGS'),this.controller);
  }

  this.saveButton.controller = this;
  this.saveButton.action = function ()
  {
    Frontend.saveLogDialog.promptToSaveLog(translate('MSG_SAVE_LOGS'),translate('MSG_SAVE_SEL_LOGS'),this.controller);
  }
  this.saveButton.disable();

  this.clearRequest.controller = this;
  this.clearRequest.callback = function ()
  {
    this.controller.refreshFrame();
  }

  this.clearAllRequest.controller = this;
  this.clearAllRequest.callback = function ()
  {
    this.controller.refreshFrame();
  }
}

SelLogController.prototype.refreshFrame = function refreshFrame()
{
  this.clearButton.disable();
  this.saveButton.disable();
  this.viewController.setParameter('sortField', this.sortField);
  this.viewController.setURL(this.viewURL);
}

SelLogController.prototype.sortTable = function sortTable(column)
{
  this.sortField = column;
  this.refreshFrame();
}

SelLogController.prototype.clear = function clear()
{
  this.clearRequest.send();
}

SelLogController.prototype.clearAll = function clearAll()
{
  this.clearAllRequest.send();
}

SelLogController.prototype.appendSaveInfo = function appendSaveInfo(request)
{
  request.addVariable('sortField', this.sortField);
}

SelLogController.prototype.save = function save()
{
  var header = (translate('MSG_SAVE') + ' ' + translate('MSG_SYSTEM_EVENT_LOG'));
  if (CONFIG.IS_OFFLINE)
  {
    Frontend.saveDialog.openDialog(header, 'sel', this);
  }
  else
  {
    var query =
    {
      attachment : 1,
      filename   : 'sel',
      sortField  : this.sortField
    }
    Frontend.clientSave(this.saveCommand, query, header);
  }
}

SelLogController.prototype.saveAll = function saveAll() {
  var header = translate('MSG_SAVE_ALL_LOGS');
  if (CONFIG.IS_OFFLINE) {
    Frontend.saveDialog.openDialog(header, 'alllogs', this);
  }
  else {
    var query =
    {
      attachment: 1,
      filename: 'alllogs',
      sortField: this.sortField
    }
    Frontend.clientSave('commands/saveAllLogs.php', query, header);
  }
}
