function SpdErrorsController()
{
  this.clearRequest = new ServerRequest('commands/clearSpdErrors.php');
  this.clearButton = getElement('clearSpdErrors');
  this.init();
}

SpdErrorsController.prototype.init = function init()
{
  this.clearButton.controller = this;
  this.clearButton.action = function ()
  {
    this.controller.promptToClearLog(translate('MSG_CLEAR_DIMM_SPD_ERRORS'), this.controller);
  }
  this.clearRequest.controller = this;
  this.clearRequest.callback = function (data)
  {
    this.controller.promptStatus(translate('MSG_SPD_CLEAR_STATUS'), data );
  }
}

SpdErrorsController.prototype.promptToClearLog = function promptToClearLog(title)
{
  var controller = this;
  var dialog = Frontend.dialog;
  dialog.toggleBadge(false);
  dialog.setHeader(title);
  dialog.toggleHeader(true);
  dialog.setContent(translate('MSG_CLEAR_SPD_CONFIRMATION'));
  dialog.toggleContent(true);
  dialog.clearButtons();
  dialog.addButton(translate('MSG_OK'), null, function ()
  {
    getElement('clearSpdErrors').disable();
    getElement('clearAdminErrorLog').disable();
    if ( CONFIG.SURVEY_ONLY == false ) {
      getElement('clearAdminTestLog').disable();
    }
    if ( CONFIG.IML_SUPPORT == true ) {
      getElement('clearAdminImlLog').disable();
    }
    if ( CONFIG.SEL_SUPPORT == true ) {
      getElement('clearAdminSelLog').disable();
    }
    if ( CONFIG.DIAGNOSIS_SUPPORT ) {
      getElement('clearAdminDiagnosisLog').disable();
    }
    controller.promptClearing();
    controller.clearLog();
  });
  dialog.addButton(translate('MSG_CANCEL'), null, function ()
  {
    dialog.hide();
  });
  dialog.toggleButtons(true);
  dialog.show();
}

SpdErrorsController.prototype.clearLog = function clearLog()
{
  this.clearRequest.send();
}

SpdErrorsController.prototype.promptStatus = function promptStatus(title, data)
{
  var controller = this;
  var dialog = Frontend.dialog;
  dialog.toggleBadge(false);
  dialog.setHeader(title);
  dialog.toggleHeader(true);
  dialog.setContent(data);
  dialog.toggleContent(true);
  dialog.clearButtons();
  dialog.addButton(translate('MSG_OK'), null, function ()
  {
    getElement('clearSpdErrors').enable();
    getElement('clearAdminErrorLog').enable();
    if ( CONFIG.SURVEY_ONLY == false ) {
      getElement('clearAdminTestLog').enable();
    }
    if ( CONFIG.IML_SUPPORT == true ) {
      getElement('clearAdminImlLog').enable();
    }
    if ( CONFIG.SEL_SUPPORT == true ) {
      getElement('clearAdminSelLog').enable();
    }
    if ( CONFIG.DIAGNOSIS_SUPPORT ) {
      getElement('clearAdminDiagnosisLog').enable();
    }
    dialog.hide();
  });
  dialog.toggleButtons(true);
  dialog.show();
}

SpdErrorsController.prototype.promptClearing = function promptClearing()
{
  var dialog = Frontend.dialog;
  dialog.toggleButtons(false);
  dialog.toggleBadge(false);
  dialog.toggleHeader(true);
  dialog.toggleContent(true);
  dialog.setHeader(translate('MSG_CLEAR_DIMM_SPD_ERRORS'));
  dialog.setContent(translate('MSG_CLEARING_SPD') + ' ...');
  dialog.show();
}

